import { createGlobalState } from '@vueuse/core'
import {artworkList, defaultDetail} from "~/api/goods/index.js";
export const homeStore = createGlobalState(() => {
    const actionDetails=ref({})
    const fullLive=ref(false)
    const itemList = ref([{
        image: 'https://e-cdn.fontree.cn/fonchain-main/prod/file/default/setting/637d95b4-2ae9-4a74-bd60-a3a9d2ca2ca0.png',
        title: '张天赐 | 日出而作，日落而息',
        startingPrice: 'RMB 1,000',
        transactionPrice: 'RMB 10,000',
    }, {
        image: 'https://e-cdn.fontree.cn/fonchain-main/prod/file/default/setting/f7b65e23-ce21-41b4-8e58-9e6dc6950727.png',
        title: '张天赐 | 日出而作，日落而息',
        startingPrice: 'RMB 1,000',
        transactionPrice: '',
    }, {
        image: 'https://e-cdn.fontree.cn/fonchain-main/prod/file/default/setting/41eceb23-d168-4049-ae8e-48c5328b192f.png',
        title: '张天赐 | 日出而作，日落而息',
        startingPrice: 'RMB 1,000',
        transactionPrice: '',
    }, {
        image: 'https://e-cdn.fontree.cn/fonchain-main/prod/file/default/setting/25c3f03c-9e0b-456b-963f-79b3d812c89a.png',
        title: '张天赐 | 日出而作，日落而息',
        startingPrice: 'RMB 1,000',
        transactionPrice: '',
    }, {
        image: 'https://e-cdn.fontree.cn/fonchain-main/prod/file/default/setting/25c3f03c-9e0b-456b-963f-79b3d812c89a.png',
        title: '张天赐 | 日出而作，日落而息',
        startingPrice: 'RMB 1,000',
        transactionPrice: '',
    }, {
        image: 'https://e-cdn.fontree.cn/fonchain-main/prod/file/default/setting/25c3f03c-9e0b-456b-963f-79b3d812c89a.png',
        title: '张天赐 | 日出而作，日落而息',
        startingPrice: 'RMB 1,000',
        transactionPrice: '',
    },{
        image: 'https://e-cdn.fontree.cn/fonchain-main/prod/file/default/setting/637d95b4-2ae9-4a74-bd60-a3a9d2ca2ca0.png',
        title: '张天赐 | 日出而作，日落而息',
        startingPrice: 'RMB 1,000',
        transactionPrice: 'RMB 10,000',
    },{
        image: 'https://e-cdn.fontree.cn/fonchain-main/prod/file/default/setting/637d95b4-2ae9-4a74-bd60-a3a9d2ca2ca0.png',
        title: '张天赐 | 日出而作，日落而息',
        startingPrice: 'RMB 1,000',
        transactionPrice: 'RMB 10,000',
    }])
    const auctionDetail=ref({})
    const getAuctionDetail=async ()=>{
       const res=await defaultDetail({})
        if (res.status===0){
            auctionDetail.value=res.data
        }
    }
    const getArtworkList=async ()=>{
      const res=await  artworkList({auctionUuid:auctionDetail.value.uuid})
        if (res.status===0){
            itemList.value=res.data.data
        }
    }
    return{
        getArtworkList,
        auctionDetail,
        getAuctionDetail,
        actionDetails,
        itemList,
        fullLive
    }
})